%?cygwin_package_header

# Build the programs like cjpeg, etc.
%global build_programs 0
%global __os_install_post %{nil}

Name:           cygwin-libjpeg-turbo
Version:        1.5.3
Release:        5%{?dist}
Summary:        A MMX/SSE2/SIMD accelerated library for manipulating JPEG image files

License:        IJG
URL:            http://libjpeg-turbo.virtualgl.org/
Group:          Development/Libraries
Source0:        http://downloads.sourceforge.net/libjpeg-turbo/libjpeg-turbo-%{version}.tar.gz

# http://pkgs.fedoraproject.org/cgit/libjpeg-turbo.git/plain/libjpeg-turbo14-noinst.patch
Patch0:         libjpeg-turbo14-noinst.patch

# http://pkgs.fedoraproject.org/cgit/libjpeg-turbo.git/plain/libjpeg-turbo-header-files.patch
Patch1:         libjpeg-turbo-header-files.patch
Patch2:         libjpeg-turbo-CVE-2018-11813.patch

BuildArch:      noarch

BuildRequires:  cygwin32-filesystem
BuildRequires:  cygwin32-gcc
BuildRequires:  cygwin32-gcc-c++
BuildRequires:  cygwin32-binutils
#BuildRequires:  cygwin32-libtool
BuildRequires:  cygwin32-pkg-config

BuildRequires:  cygwin64-filesystem
BuildRequires:  cygwin64-gcc
BuildRequires:  cygwin64-gcc-c++
BuildRequires:  cygwin64-binutils
#BuildRequires:  cygwin64-libtool
BuildRequires:  cygwin64-pkg-config

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  nasm
#BuildRequires:  cmake

%description
Cygwin Windows cross compiled Libjpeg-turbo library.

%package -n cygwin32-libjpeg-turbo
Summary:        Cygwin Windows Libjpeg-turbo library

%description -n cygwin32-libjpeg-turbo
Cygwin Windows cross compiled Libjpeg-turbo library.

%package -n cygwin64-libjpeg-turbo
Summary:        Cygwin Windows Libjpeg-turbo library

%description -n cygwin64-libjpeg-turbo
Cygwin Windows cross compiled Libjpeg-turbo library.

%package -n cygwin32-libjpeg-turbo-static
Summary:        Static version of the Cygwin Windows Libjpeg-turbo library
Requires:       cygwin32-libjpeg-turbo = %{version}-%{release}

%description -n cygwin32-libjpeg-turbo-static
Static version of the Cygwin Windows cross compiled Libjpeg-turbo library.

%package -n cygwin64-libjpeg-turbo-static
Summary:        Static version of the Cygwin Windows Libjpeg-turbo library
Requires:       cygwin32-libjpeg-turbo = %{version}-%{release}

%description -n cygwin64-libjpeg-turbo-static
Static version of the Cygwin Windows cross compiled Libjpeg-turbo library.

%?cygwin_debug_package


%prep
%setup -q -n libjpeg-turbo-%{version}
%patch0 -p1 -b .noinst
%patch1 -p1 -b .header-files
%patch2 -p1 -b .CVE-2018-11813


%build
autoreconf -vif -W all
%cygwin_configure --with-jpeg8
%cygwin_make %{?_smp_mflags} V=1


%install
%cygwin_make install DESTDIR=$RPM_BUILD_ROOT

# Remove manual pages which duplicate Fedora native.
rm -rf $RPM_BUILD_ROOT%{cygwin32_mandir}
rm -rf $RPM_BUILD_ROOT%{cygwin64_mandir}

# The CMake build system also installed some docs
rm -rf $RPM_BUILD_ROOT%{cygwin32_prefix}/doc
rm -rf $RPM_BUILD_ROOT%{cygwin64_prefix}/doc

# We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -name '*.la' -delete


# Remove win32 and win64 native binaries if wanted
%if %build_programs == 0
rm -f $RPM_BUILD_ROOT%{cygwin32_bindir}/*.exe
rm -f $RPM_BUILD_ROOT%{cygwin64_bindir}/*.exe
%endif

%files -n cygwin32-libjpeg-turbo
%if %build_programs
%{cygwin32_bindir}/*.exe
%endif
%{cygwin32_bindir}/cygjpeg-8.dll
%{cygwin32_bindir}/cygturbojpeg-0.dll
%{cygwin32_includedir}/jconfig.h
%{cygwin32_includedir}/jerror.h
%{cygwin32_includedir}/jmorecfg.h
%{cygwin32_includedir}/jpegint.h
%{cygwin32_includedir}/jpeglib.h
%{cygwin32_includedir}/turbojpeg.h
%{cygwin32_libdir}/libjpeg.dll.a
%{cygwin32_libdir}/libturbojpeg.dll.a
%{cygwin32_libdir}/pkgconfig/libjpeg.pc
%{cygwin32_libdir}/pkgconfig/libturbojpeg.pc

%files -n cygwin32-libjpeg-turbo-static
%{cygwin32_libdir}/libjpeg.a
%{cygwin32_libdir}/libturbojpeg.a

%files -n cygwin64-libjpeg-turbo
%if %build_programs
%{cygwin64_bindir}/*.exe
%endif
%{cygwin64_bindir}/cygjpeg-8.dll
%{cygwin64_bindir}/cygturbojpeg-0.dll
%{cygwin64_includedir}/jconfig.h
%{cygwin64_includedir}/jerror.h
%{cygwin64_includedir}/jmorecfg.h
%{cygwin64_includedir}/jpegint.h
%{cygwin64_includedir}/jpeglib.h
%{cygwin64_includedir}/turbojpeg.h
%{cygwin64_libdir}/libjpeg.dll.a
%{cygwin64_libdir}/libturbojpeg.dll.a
%{cygwin64_libdir}/pkgconfig/libjpeg.pc
%{cygwin64_libdir}/pkgconfig/libturbojpeg.pc

%files -n cygwin64-libjpeg-turbo-static
%{cygwin64_libdir}/libjpeg.a
%{cygwin64_libdir}/libturbojpeg.a


%changelog
* Mon Aug 15 2016 Christophe GRENIER <grenier@cgsecurity.org> - 1.5.0-1
- First spec file under cygwin
